Check if exists in database

- « Schema::dropCollection

- Schema::getCollection »

- PHP Manual
- mysql_xdevapi\Schema
- Check if exists in database

# Schema::existsInDatabase

(No version information available, might only be in Git)

Schema::existsInDatabase — Check if exists in database

### Description

public mysql_xdevapi\Schema::existsInDatabase(): bool

Checks if the current object (schema, table, collection, or view) exists in the schema object.

### Parameters

This function has no parameters.

### Return Values

`true` if the schema, table, collection, or view still exists in the schema, else `false`.

### Examples

Example #1 mysql_xdevapi\Schema::existsInDatabase() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS food")->execute();
    $session->sql("CREATE DATABASE food")->execute();
    $session->sql("CREATE TABLE food.fruit(name text, rating text)")->execute();

    $schema = $session->getSchema("food");
    $schema->createCollection("trees");

    // ...

    $trees = $schema->getCollection("trees");

    // ...

    // Is this collection still in the database (schema)?
    if ($trees->existsInDatabase()) {
        echo "Yes, the 'trees' collection is still present.";
    }

The above example will output something similar to:

    Yes, the 'trees' collection is still present.